Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1543 (closed defect: fixed)

Opened 12 years ago

Last modified 11 years ago

latest net80211/ieee80211_input.c to rev 2704 breaks MacBook wireless

Reported by: mark.clarkson@smorg.co.uk Assigned to: mentor
Priority: minor Milestone: version 0.9.5
Component: madwifi: 802.11 stack Version: trunk
Keywords: macbook ieee80211_input.c Cc:
Patch is attached: 0 Pending:

Description

The latest change to ieee80211_input.c has broken wireless networking on my MacBook (not pro).

$ svn up U net80211/ieee80211_input.c Updated to revision 2704.

# /etc/init.d/networking stop
# madwifi-unload
# make clean install
# modprobe ath_pci
# /etc/init.d/networking restart

ping is now broken.
change to the previous ieee80211_input.c and rebuild...
ping is okay again.

Thanks for this great software!
Mark.

Change History

09/05/07 22:51:55 changed by madwifi1017@rivera.za.net

Confirmed.

This worked in r2695.

09/06/07 06:42:11 changed by mrenzmann

r2704 did not modify ieee80211_input.c. The last change for that file occured in r2702. Can you please confirm that r2701 works for you and reassure that r2702 is broken for you as described?

09/06/07 15:03:55 changed by stube.pennanen@pp.inet.fi

I just tested this and can confirm that r2701 works fine whereas r2702 won't get IP-address from DHCP.

My specs:
processor x86_64
Fedora Core 7 64bit
Atheros 5212 chipset

09/06/07 16:18:18 changed by mrenzmann

  • owner set to mentor.
  • milestone set to version 0.9.4.

Thanks for the feedback.

09/06/07 18:05:55 changed by anonymous

I just tested this and can confirm that r2701 works fine whereas r2702 won't get IP-address from DHCP.

Same on my Thinkpad T60, thanks for figuring this out.

09/06/07 18:32:32 changed by strasak@bubakov.net

maybe related, maybe no, on mips here r2704 - older versions i compiled some weeks ago are ok - also doesn't work on higher levels - it associate, authenticate etc. but no single arp gets throught - will compile and test r2701 too today to know more

09/06/07 18:53:10 changed by strasak@bubakov.net

confirmed, r2701 is ok

09/06/07 19:08:17 changed by anonymous

confirmed, r2702 didn't work on macbook with ubuntu. r2702 works. took me a while, doh!

09/06/07 19:11:03 changed by anonymous

sorry, r2071 is working of course

09/14/07 10:30:53 changed by ibt@ultima-dragons.org

Confirmed here too.

I have a MacBook from May running gentoo x86_64, with a 2.6.23-rc6 kernel. I backed ieee80211_input.c down to r2071, and it works again here. :)

09/14/07 10:33:23 changed by ibn@ultima-dragons.org

No, that's 2701 (and I got my own email wrong too <:).

Anyway, the point was that just backing the ieee80211_input.c down fixed the problem.

09/14/07 10:42:36 changed by ibn@ultima-dragons.org

Oh, just tried 2708 - and it works too. :)

09/14/07 13:49:32 changed by stube.pennanen@pp.inet.fi

Yes, r2708 fixed this for me as well.

09/14/07 17:23:17 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.

09/14/07 17:24:04 changed by mentor

  • priority changed from critical to minor.

09/17/07 21:39:02 changed by benoitg <benoitg@coeus.ca>

Sorry, but this still does not work for me (MacBook Pro C2D). [2701] works just fine. All later revisions (as far as I can tell) up to and including [2712] do not. Card associate fine, but can't receive DHCP from the accesspoint. The following info is when trying to run [2712]

[ 1082.528000] ath_pci: switching rfkill capability off [ 1082.536000] ath_rate_sample: 1.2 (svn r2707) [ 1082.536000] ath_pci: switching per-packet transmit power control off [ 1082.540000] wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps [ 1082.540000] wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps [ 1082.540000] wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps [ 1082.540000] wifi0: turboA rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps [ 1082.540000] wifi0: turboG rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps [ 1082.540000] wifi0: H/W encryption support: WEP AES AES_CCM TKIP [ 1082.540000] wifi0: mac 12.10 phy 8.1 radio 12.0 [ 1082.540000] wifi0: Use hw queue 1 for WME_AC_BE traffic [ 1082.540000] wifi0: Use hw queue 0 for WME_AC_BK traffic [ 1082.540000] wifi0: Use hw queue 2 for WME_AC_VI traffic [ 1082.540000] wifi0: Use hw queue 3 for WME_AC_VO traffic [ 1082.540000] wifi0: Use hw queue 8 for CAB traffic [ 1082.540000] wifi0: Use hw queue 9 for beacons [ 1082.552000] wifi0: Atheros 5418: mem=0x90100000, irq=17

Kernel is 2.6.22-11 on ubunty gutsy

09/20/07 05:09:31 changed by benoitg <benoitg@coeus.ca>

Humm, all right, today's gutsy kernel update fixed it. Lates SVN now works. Sorry about that!

02/07/08 06:16:08 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.